## pppstatus-0.4.2.tar.bz2

=== Makefile ===
# Makefile for PPPStatus v0.4.8
# Gabriel Montenegro
#
# modified for Debian by John Hasler

LDFLAGS = -lncurses
CFLAGS = -O2 -Wall

BIN = pppstatus
SRC = pppstatus.o

# Disabled install for Debian
#INSTDIR = /usr/bin
#INSTALL=/usr/bin/install
#INSTALL_PARMS=-o 0 -g 0 -s -m 0755

all : pppstatus printdone

pppstatus : pppstatus.o
	gcc $(CFLAGS) $(LDFLAGS) -o ${BIN} ${SRC}

pppstatus.o : pppstatus.h

printdone:
	@if [ -e "./${BIN}" ] || [ -e "./${BIN2}" ]; then echo "Compiled.."; else echo "Error compiling!"; fi

clean:
	rm -f ${BIN} ${BIN2} *.o core *~ 

# Disabled install for Debian
#install:
#	$(INSTALL) $(INSTALL_PARMS) pppstatus $(DESTDIR)/usr/bin

=== debian/changelog ===
pppstatus (0.4.2-8) unstable; urgency=low

  * Added code to install signal_hup signal handler (reloads on HUP)
    only when in daemon mode.
    Closes: #278755 pppstatus fails to die on lost terminal.

  * Added break at line 1816 to stop doubling of usage message.
  
  * Fixed man page to mention that HUP causes the config file to
    be reread in daemon mode.
  
 -- John Hasler <jhasler@debian.org>  Fri, 10 Dec 2004 18:59:47 -0600

pppstatus (0.4.2-7) unstable; urgency=low

  * Replaced sprintf() with snprintf(), strcpy() with strncpy(), etc.
  * Improved comments.
  
  * Moved flag files to /var/run/.
    Changed PPP_UP_PATH from /var/lib/ to /var/run/.
    Closes: #187845 Put flag files in /var/run, not /var/lib
  
  * Added a line to is_online() to blank the "Stalled" message
    when offline.
    Closes: #208758 pppstatus reports modem hang up as "Stalled"
  
  * Re-wrote ip_address() to handle error return from ioctl()
    properly.  It worked, but only by accident.
  
 -- John Hasler <john@dhh.gt.org>  Sun, 1 Aug 2004 21:00:00 +0500

pppstatus (0.4.2-6) unstable; urgency=low

  * Closes: #177212 Default log directory not included in package.
    Added /var/log/pppstatus to debian/dirs.
  * Closes: #109841 pppstatus should have a redraw screen keystroke
    This was fixed a long time ago.
  * Added 'r' and 'q' commands to man page.

 -- John Hasler <john@dhh.gt.org>  Sat, 1 Feb 2003 13:00:00 +0600
	

pppstatus (0.4.2-5) unstable; urgency=low

  * Added log rotation script.
  * Added handler to dump log on SIGINT and SIGTERM.
  * Added handler to read config files on SIGHUP.
  * Added code to stat /var/lib/pppX-up in is_online() and added ip-up.d
    and ip-down.d scripts to create and destroy that file as ppp goes
    up and down.  This allows pppstatus to work properly with demand
    dialing.
  * Applied patch from Craig Ringer to add support for 512k/128k ADSL.
  * Closes: #163089 pppstatus: add support for 512k/128k ADSL
  * Fixed Makefile so pppstatus.o depends on pppstatus.h. 

 -- John Hasler <john@dhh.gt.org>  Sat, 4 Jan 2003 10:00:00 +0600

pppstatus (0.4.2-4) unstable; urgency=low

  * Edited main() and load_options() so that pppstatus will follow
    the Unix convention of reading a config file from /etc/pppstatus
    first and from ~/.pppstatus second.  ~/.pppstatus is not read if
    the user is root.  The program no longer exits if the config
    files cannot be read.
  * Closes: #151885 pppstatus does not start automaticly after sysvinit update
  * dirc() is now only called when the user is not root and does not
    exit on failure.
  * Added the constants GLOBALLOGDIR and GLOBALCOSTDIR (both set to 
    /var/log), and the global variables logdir and costdir.  Edited 
    main() and various functions to use them.  If the user is root 
    logs now go in GLOBALLOGDIR and costs go in GLOBALCOSTDIR.  
    Otherwise they go in ~/.pppstatus as usual.  'costs' file for root 
    is in /etc/pppstatus.  'costs' file for ordinary users goes in 
    ~/.pppstatus.
  * Added a '-d <console>' option to run pppstatus as a daemon displaying
    on the specified console.  Added code to support that, including
    pidfile code and signal handlers.  Wrote an init.d script to start
    pppstatus as a daemon in the absence of the file 
    /etc/pppstatus/no_pppstatus_on_boot.  This eliminates the need for
    runonboot.
  * Re-wrote man page to reflect the above changes.
  * I can't reproduce this on 0.4.2-4 with libc6 2.3.1-5 and 
    libncurses5 5.3.20021109-1.  I think it was a curses problem.
  * Closes: #170062 pppstatus not working after some upgrades
	
 -- John Hasler <john@dhh.gt.org>  Tue, 3 Dec 2002 18:00:00 +0600
	

pppstatus (0.4.2-2) unstable; urgency=low
  
  * Added test for check at line 1555 so that the 'r' command won't
    cause a crash when email checking is not enabled in config file.
  * Moved config file out of /var/log.
  * Closes: #120170

 -- John Hasler <jhasler@debian.org>  Sun, 2 Dec 2001 12:20:00 +0500

pppstatus (0.4.2-1) unstable; urgency=low

  * New upstream release.

  * Commented out 'printf("\e(U"); /* Thanks kspoon */' and arranged to
    pass hline() ACS_BLOCK instead of 219.
  * Closes: #105671 

 -- John Hasler <jhasler@debian.org>  Wed, 8 Aug 2001 21:45:00 +0500

pppstatus (0.4.1-5) unstable; urgency=low

  * New maintainer.

 -- John Hasler <jhasler@debian.org>  Sat, 9 Jun 2001 22:45:00 +0500

pppstatus (0.4.1-4) unstable; urgency=low

  * Updated the manpage with improvements kindly contributed by Carlos
    Valdivia Yage.
  * Corrected a typo in README.costs (tarifes replaced by tariffes) that
    was pointed out by Carlos as well.
  * Added a hint in README.Debian concerning the reset of the console
    after terminating pppstatus; closes: #95646 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sat, 28 Apr 2001 23:25:39 +0200

pppstatus (0.4.1-3) unstable; urgency=low

  * Added libncurses5-dev to Build-Depends; closes: #92772 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Tue,  3 Apr 2001 21:17:32 +0200

pppstatus (0.4.1-2) unstable; urgency=low

  * Corrected typo in copyright file; closes: #88759

 -- Dr. Guenter Bechly <gbechly@debian.org>  Mon, 26 Mar 2001 16:09:11 +0200

pppstatus (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Thu,  1 Mar 2001 18:50:48 +0100

pppstatus (0.4.0-2) unstable; urgency=low

  * Applied a patch by Paul Slootman which is included as patch.diff and
    which was also forwarded upstream; closes: #86717

 -- Dr. Guenter Bechly <gbechly@debian.org>  Fri, 23 Feb 2001 16:56:12 +0100

pppstatus (0.4.0-1) unstable; urgency=low

  * Initial Release (this package was orinally ITPed by Christian Surchi,
    but has been taken over by me after negotiation with him).
  * Wrote a manpage
  * Modified Makefile.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sat, 17 Feb 2001 17:29:27 +0100

=== debian/control ===
Source: pppstatus
Section: net
Priority: optional
Maintainer: John Hasler <jhasler@debian.org>
Build-Depends: debhelper (>> 2.0.0), libncurses5-dev
Standards-Version: 3.5.7

Package: pppstatus
Architecture: any
Depends: ${shlibs:Depends}
Description: console-based PPP status monitor
 PPPstatus is a console-based utility for displaying the
 status of a PPP link, including connection verification,
 connecting time, costs calculation, top speed, e-mail
 check, ip address, graphical statistics, TX and RX leds,
 interface selection, and more. It even supports xDSL
 with pppoe.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/pppstatus.sgml > pppstatus.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pppstatus.
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	install -d -o root -g root -m 755 debian/tmp/usr/bin
	install -d -o root -g root -m 755 debian/tmp/usr/sbin
	install -p -o 0 -g 0 -s -m 755 pppstatus debian/tmp/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples costs
	dh_installmenu --noscripts
	dh_installinit --noscripts
	dh_installmanpages
	dh_installcron
	cp pppstatus.cfg debian/tmp/etc/pppstatus/
	cp costs debian/tmp/etc/pppstatus/
	cp debian/no_pppstatus_on_boot debian/tmp/etc/pppstatus/
	cp debian/up debian/tmp/etc/ppp/ip-up.d/0pppstatus
	cp debian/down debian/tmp/etc/ppp/ip-down.d/0pppstatus
	cp debian/pppstatus-clean debian/tmp/etc/init.d/
	chmod 755 debian/tmp/etc/ppp/ip-down.d/0pppstatus
	chmod 755 debian/tmp/etc/ppp/ip-up.d/0pppstatus
	chmod 755 debian/tmp/etc/init.d/pppstatus-clean
	dh_installchangelogs CHANGELOG
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
